/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                            1       /* callback function: panelCB */
#define  PANEL_READDATA                   2       /* control type: textBox, callback function: (none) */
#define  PANEL_TEXTBOX                    3       /* control type: textBox, callback function: (none) */
#define  PANEL_BAUDRATE                   4       /* control type: numeric, callback function: (none) */
#define  PANEL_OPENBUTTON                 5       /* control type: command, callback function: OpenUARTComms */
#define  PANEL_READBUTTON                 6       /* control type: command, callback function: ReadToUART */
#define  PANEL_WRITEBUTTON                7       /* control type: command, callback function: WriteToUART */
#define  PANEL_CONNECTEDLED               8       /* control type: LED, callback function: (none) */


     /* Control Arrays: */

          /* (no control arrays in the resource file) */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */

int  CVICALLBACK OpenUARTComms(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK panelCB(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ReadToUART(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK WriteToUART(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
